#include <utility>
#include <cstdio>

#include "context_switcher/context_switcher.h"
using namespace context_switcher;
using namespace std;

// Memory for custom stack and continuation semantics
const size_t STACK_SIZE = 512 * 32;
const size_t NUM_STACKS = 4;
char custom_stacks[NUM_STACKS][STACK_SIZE];

volatile int result;

int main() {
  while (true) {
    context_switcher::continuation cont = enter_context(custom_stacks[0], STACK_SIZE, [](continuation &&main_cont) {
//      main_cont = context_switcher::switch_context(std::move(main_cont));
      return std::move(main_cont);
    });

//    cont = context_switcher::switch_context(std::move(cont));
  };

  return 0;
}
